platform :ios, '10.0'

target 'MusicVideoPlus' do
  # Comment the next line if you don't want to use dynamic frameworks
  use_frameworks!

  source 'https://github.com/CocoaPods/Specs.git'
#  source 'https://mirrors.tuna.tsinghua.edu.cn/git/CocoaPods/Specs.git'
#  source 'https://git.yishihui.com/iOS/BFSpecs.git'


  #使用指定tag
#  pod "BFMaterialKit"   , :git => 'https://git.yishihui.com/iOS/BFMaterialKit.git'  , :tag => '0.1.5'
#  pod "BFCommonKit"     , :git => 'https://git.yishihui.com/iOS/BFCommonKit.git'    , :tag => '1.4.8'
#  pod "BFNetRequestKit" , :git => 'https://git.yishihui.com/iOS/BFNetRequestKit.git', :tag => '0.2.1'
#  pod "BFFramework"     , :git => 'https://git.yishihui.com/iOS/BFFramework.git'    , :tag => '1.0.6'
#  pod 'BFUIKit'         , :git => 'https://git.yishihui.com/iOS/BFUIKit.git'        , :tag => '0.1.0'
#  pod 'BFUserLib'       , :git => 'https://git.yishihui.com/iOS/BFUserLib.git'      , :tag => '0.1.0'
#  pod 'BFStuckPoint'    , :git => 'https://git.yishihui.com/iOS/BFStuckPoint.git'   , :tag => '0.1.0'
#  pod 'BFRouter'        , :git => 'https://git.yishihui.com/iOS/BFRouter.git'       , :tag => '0.1.0'
#  pod 'BFLogger'        , :git => 'https://git.yishihui.com/iOS/BFLogger.git'       , :tag => '0.1.0'

   #使用主分支的最新代码
#  pod "BFMaterialKit"   , :git => 'https://git.yishihui.com/iOS/BFMaterialKit.git'   , :branch => 'module'
#  pod "BFCommonKit"     , :git => 'https://git.yishihui.com/iOS/BFCommonKit.git'     , :branch => 'module'
#  pod "BFNetRequestKit" , :git => 'https://git.yishihui.com/iOS/BFNetRequestKit.git'
#  pod "BFFramework"     , :git => 'https://git.yishihui.com/iOS/BFFramework.git'     , :branch => 'module'
#  pod 'BFUIKit'         , :git => 'https://git.yishihui.com/iOS/BFUIKit.git'
#  pod 'BFUserLib'       , :git => 'https://git.yishihui.com/iOS/BFUserLib.git'
#  pod 'BFStuckPoint'    , :git => 'https://git.yishihui.com/iOS/BFStuckPoint.git'
#  pod 'BFRouter'        , :git => 'https://git.yishihui.com/iOS/BFRouter.git'
#  pod 'BFLogger'        , :git => 'https://git.yishihui.com/iOS/BFLogger.git'

  # 使用本地路径,方便修复库源代码，库和主工程目录平级使用相对路径
  pod 'BFMaterialKit',   :path => '../BFMaterialKit/'
  pod 'BFCommonKit',     :path => '../BFCommonKit/'
  pod 'BFNetRequestKit', :path => '../BFNetRequestKit/'
  pod 'BFAnalyzeKit',     :path => '../BFAnalyzeKit/'
  pod 'BFUIKit',         :path => '../BFUIKit/'
  pod 'BFFFmpeglib',       :path => '../BFFFmpeglib/'
  pod 'BFMediaKit',    :path => '../BFMediaKit/'
  pod 'BFStuckPointKit',        :path => '../BFStuckPointKit/'
  pod 'BFLogger',        :path => '../BFLogger/'
  pod 'BFVideoEditKit',         :path => '../BFVideoEditKit'
  pod 'BFUploadKit',         :path => '../BFUploadKit'
  pod 'BFAliyunNlsSDK-Swift',         :path => '../BFAliyunNlsSDK-Swift'
  

  pod 'JWTDecode','2.6.0' # Apple登陆校验库
  pod 'TYAttributedLabel','2.6.9' #  富文本
  pod 'UMCommon','7.2.9'
  pod 'UMDevice','1.2.0'
  pod 'UMCSecurityPlugins','1.0.6'
  pod 'UMAPM','1.2.1'
   # debug 模式下连接沙盒调试工具
  pod 'WoodPeckeriOS', :configurations => ['Debug']
#  pod 'Bugly',                    '2.5.91'

   
  pre_install do |installer|
     Pod::Installer::Xcode::TargetValidator.send(:define_method, :verify_no_static_framework_transitive_dependencies) {}
   end
   
end
